#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

framework:
  messenger:
    routing:
      # Route your messages to the transports
      'CDev\AmazonS3Images\Messenger\Message\CopyFileToS3': async
      'CDev\AmazonS3Images\Messenger\Message\ResizeIconS3': async
      'CDev\AmazonS3Images\Messenger\Message\ResizeImageS3': async

services:
  _defaults:
    autowire: true
    autoconfigure: true
  CDev\AmazonS3Images\Messenger\Handler\CopyFileToS3Handler:
    tags:
      - {name: messenger.message_handler, transport: async}
  CDev\AmazonS3Images\Messenger\Handler\ResizeIconS3Handler:
    tags:
      - {name: messenger.message_handler, transport: async}
  CDev\AmazonS3Images\Messenger\Handler\ResizeImageS3Handler:
    tags:
      - {name: messenger.message_handler, transport: async}
